%global _internal_version 7c1dced

%define gir_major 3.0
%define gir_name        %mklibname %{name}-gir %{gir_major}
%define libnemo_extension    %mklibname %{name}-extension
%define libname_devel   %mklibname %{name} -d
%define date 20161212

Name:           nemo
Summary:        File manager for Cinnamon
Version:        3.2.2
Release:        %mkrel 1
License:        GPLv2+ and LGPLv2+
Group:          File tools
URL:            https://github.com/linuxmint/nemo
Source0:        http://leigh123linux.fedorapeople.org/pub/nemo/source/nemo-%{version}.tar.gz
#SourceGet0: https://github.com/linuxmint/nemo/archive/%{version}.tar.gz
##SourceGet0: https://github.com/linuxmint/nemo/tarball/%{_internal_version}

# fix https://github.com/linuxmint/nemo/issues/1010
# Mageia bug 17562
Source1:        nemo.css
Source2:        gtk.css
Source3:        gtk-dark.css
Source4:        nemo-mageia.gschema.override

Requires:       gvfs
Requires:       adwaita-icon-theme
Requires:       cinnamon-desktop
Requires:       cinnamon-translations

BuildRequires:  gnome-common
BuildRequires:  intltool
BuildRequires:  rarian
BuildRequires:  python-polib
BuildRequires:  pkgconfig(exempi-2.0)
BuildRequires:  pkgconfig(gail-3.0)
BuildRequires:  pkgconfig(glib-2.0)
BuildRequires:  pkgconfig(gobject-introspection-1.0)
BuildRequires:  pkgconfig(gtk+-3.0)
BuildRequires:  desktop-file-utils
BuildRequires:  pkgconfig(gtk-doc)
BuildRequires:  pkgconfig(libexif)
BuildRequires:  pkgconfig(libnotify)
BuildRequires:  pkgconfig(libselinux)
BuildRequires:  pkgconfig(libxml-2.0)
BuildRequires:  pkgconfig(pango)
BuildRequires:  pkgconfig(pygobject-3.0)
BuildRequires:  pkgconfig(cinnamon-desktop)
BuildRequires:  pkgconfig(sm)
BuildRequires:  pkgconfig(x11)

# needed for theme subpackage
BuildRequires:  gnome-themes-standard
BuildRequires:  python3-polib
BuildRequires:  python3-gobject3


# the main binary links against libnemo-extension.so
# don't depend on soname, rather on exact version
Requires:       %{libnemo_extension} = %{version}-%{release}

%description
Nemo is the file manager and graphical shell for the Cinnamon desktop
that makes it easy to manage your files and the rest of your system.
It allows to browse directories on local and remote filesystems, preview
files and launch applications associated with them.
It is also responsible for handling the icons on the Cinnamon desktop.

%package -n %{libnemo_extension}
Summary: Nemo extensions library
License: LGPLv2+
Group: Development/GNOME and GTK+

%description -n %{libnemo_extension}
This package provides the libraries used by nemo extensions.

%package -n %{libname_devel}
Summary: Support for developing nemo extensions
License: LGPLv2+
Group: Development/GNOME and GTK+
Requires: %{libnemo_extension} = %{version}-%{release}
Requires: %{gir_name} = %{version}-%{release}

%description -n %{libname_devel}
This package provides libraries and header files needed
for developing nemo extensions.

%package -n adwaita-nemo
Summary: Nemo theme fix for Adwaita
Group: Graphical desktop/Cinnamon
Buildarch: noarch
Requires:  gnome-themes-standard

%description -n adwaita-nemo
Nemo theme fix for Adwaita

%package -n %{gir_name}
Summary:        GObject Introspection interface description for %{name}
Group:          System/Libraries
Requires:       %{libnemo_extension} = %{version}-%{release}

%description -n %{gir_name}
GObject Introspection interface description for %{name}.

%prep
%setup -q
%autopatch -p1
#setup -q -n linuxmint-%{name}-%{_internal_version}
NOCONFIGURE=1 ./autogen.sh

%build
%configure2_5x --disable-more-warnings \
           --disable-update-mimedb \
           --disable-schemas-compile \
           --disable-static

sed -i -e 's/ -shared / -Wl,-O1,--as-needed\0 /g' libtool
%make V=1

%install
%makeinstall_std
install -D -m 0644 %{SOURCE4} $RPM_BUILD_ROOT/%{_datadir}/glib-2.0/schemas

desktop-file-install --delete-original       \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications             \
  --add-only-show-in GNOME                                  \
  $RPM_BUILD_ROOT%{_datadir}/applications/*

# create extensions directoy
mkdir -p $RPM_BUILD_ROOT%{_libdir}/nemo/extensions-3.0/

rm -f $RPM_BUILD_ROOT%{_libdir}/*.la
rm -f $RPM_BUILD_ROOT%{_libdir}/*.a
rm -f $RPM_BUILD_ROOT%{_libdir}/nemo/extensions-3.0/*.la
rm -f $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/icon-theme.cache
rm -f $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/.icon-theme.cache

# theme
mkdir -p $RPM_BUILD_ROOT%{_datadir}/themes/Adwaita-Nemo/gtk-3.0/apps
install -D -p -m 0644 %{SOURCE1} $RPM_BUILD_ROOT%{_datadir}/themes/Adwaita-Nemo/gtk-3.0/apps/
install -D -p -m 0644 %{SOURCE2} %{SOURCE3} $RPM_BUILD_ROOT%{_datadir}/themes/Adwaita-Nemo/gtk-3.0/
ln -s %{_datadir}/themes/Adwaita/backgrounds $RPM_BUILD_ROOT%{_datadir}/themes/Adwaita-Nemo/
ln -s %{_datadir}/themes/Adwaita/gtk-2.0 $RPM_BUILD_ROOT%{_datadir}/themes/Adwaita-Nemo/
ln -s %{_datadir}/themes/Adwaita/gtk-3.0/{gtk.gresource,settings.ini} $RPM_BUILD_ROOT%{_datadir}/themes/Adwaita-Nemo/gtk-3.0/
ln -s %{_datadir}/themes/Adwaita/metacity-1 $RPM_BUILD_ROOT%{_datadir}/themes/Adwaita-Nemo/
ln -s %{_datadir}/themes/Adwaita/index.theme $RPM_BUILD_ROOT%{_datadir}/themes/Adwaita-Nemo/index.theme

%find_lang %name

%files
%{_datadir}/nemo/
%{_datadir}/applications/*
%{_datadir}/mime/packages/nemo.xml
%{_bindir}/*
%{_datadir}/icons/hicolor/*/apps/nemo.png
%{_datadir}/icons/hicolor/*/actions/nemo-eject.png
%{_datadir}/icons/hicolor/scalable/*/*.svg
%{_datadir}/icons/hicolor/48x48/status/progress-*.png
%{_datadir}/dbus-1/services/org.Nemo.service
%{_datadir}/dbus-1/services/org.nemo.freedesktop.FileManager1.service
%{_mandir}/man1/nemo-connect-server.1.*
%{_mandir}/man1/nemo.1.*
%{_libexecdir}/nemo-convert-metadata
%{_libexecdir}/nemo-extensions-list
%{_datadir}/glib-2.0/schemas/*
%dir %{_libdir}/nemo/extensions-3.0/
%{_datadir}/polkit-1/actions/org.nemo.root.policy
%{_datadir}/gtksourceview-?.0/language-specs/nemo_action.lang


%files -n %{libnemo_extension}
%{_libdir}/libnemo-extension.so.*

%files -n adwaita-nemo
%{_datadir}/themes/Adwaita-Nemo/

%files -n %{libname_devel}
%{_includedir}/nemo/
%{_libdir}/pkgconfig/*
%{_libdir}/*.so
%{_datadir}/gir-1.0/*.gir

%files -n %{gir_name}
%{_libdir}/girepository-1.0/*.typelib


%changelog
* Mon Jan 23 2017 joequant <joequant> 3.2.2-1.mga6
+ Revision: 1083167
- upgrade to 3.2.2

* Sat Dec 03 2016 joequant <joequant> 3.2.0-5.mga6
+ Revision: 1071805
- update to 3.2.0 - fix icon redraw issue

* Tue May 24 2016 joequant <joequant> 3.0.2-5.mga6
+ Revision: 1018116
- bump for arm build

* Mon May 23 2016 joequant <joequant> 3.0.2-4.mga6
+ Revision: 1017904
- bump for arm

* Sun May 22 2016 joequant <joequant> 3.0.2-3.mga6
+ Revision: 1017448
- use python3

* Sun May 22 2016 joequant <joequant> 3.0.2-2.mga6
+ Revision: 1017438
- save python23
- fix python2/3 issues in build
- upgrade to 3.0.2

* Tue May 03 2016 joequant <joequant> 3.0.0-1.mga6
+ Revision: 1008844
- upgrade to 3.0.0

* Sat Mar 26 2016 joequant <joequant> 2.8.7-1.mga6
+ Revision: 995549
- upgrade to 2.8.7

* Wed Feb 03 2016 joequant <joequant> 2.8.6-2.mga6
+ Revision: 933487
- fix #17562 segfault with patch from fedora

* Tue Dec 22 2015 joequant <joequant> 2.8.6-1.mga6
+ Revision: 913461
- upgrade to 2.8.6

  + tv <tv>
    - kill commented out patches

* Mon Dec 21 2015 tv <tv> 2.8.5-1.mga6
+ Revision: 912813
- add download URL
- new release

* Wed Nov 18 2015 joequant <joequant> 2.8.4-1.mga6
+ Revision: 904004
- upgrade to 2.8.4

* Thu Oct 22 2015 joequant <joequant> 2.8.0-1.mga6
+ Revision: 894213
- update to 2.8.0

* Mon Jun 29 2015 wally <wally> 2.6.7-2.mga6
+ Revision: 847797
- add requires for gir pkg to devel pkg

* Fri Jun 26 2015 joequant <joequant> 2.6.7-1.mga6
+ Revision: 844297
- upgrade to 2.6

* Thu Nov 27 2014 joequant <joequant> 2.4.4-1.mga5
+ Revision: 799545
- 2.4.4

* Sun Nov 23 2014 joequant <joequant> 2.4.2-1.mga5
+ Revision: 798398
- upgrade to 2.4

* Wed Oct 15 2014 umeabot <umeabot> 2.2.4-5.mga5
+ Revision: 750808
- Second Mageia 5 Mass Rebuild

* Fri Sep 26 2014 wally <wally> 2.2.4-4.mga5
+ Revision: 724947
- rebuild with new rpm-mageia-setup to generate requires for .typelib files

* Tue Sep 16 2014 umeabot <umeabot> 2.2.4-3.mga5
+ Revision: 682829
- Mageia 5 Mass Rebuild

  + joequant <joequant>
    - use new icon names

* Thu Aug 28 2014 joequant <joequant> 2.2.4-1.mga5
+ Revision: 668997
- update to 2.2.4

* Tue Jun 10 2014 joequant <joequant> 2.2.2-1.mga5
+ Revision: 635318
- upgrade to 2.2.2

  + wally <wally>
    - require adwaita-icon-theme instead of obsolete gnome-icon-theme

* Fri Apr 18 2014 joequant <joequant> 2.2.0-1.mga5
+ Revision: 616804
- fix polib
- upgrade to 2.2.0

* Sun Apr 06 2014 joequant <joequant> 2.0.8-4.mga5
+ Revision: 612202
- remove tracker support so search works - copy from fedora

* Wed Jan 08 2014 joequant <joequant> 2.0.8-3.mga4
+ Revision: 565561
- push to core/release

* Thu Jan 02 2014 joequant <joequant> 2.0.8-2.mga4
+ Revision: 563979
- replace revert of 6958543 with commit fe014f8

* Wed Jan 01 2014 joequant <joequant> 2.0.8-1.mga4
+ Revision: 563804
- upgrade to 2.0.8

* Wed Oct 23 2013 joequant <joequant> 2.0.2-2.mga4
+ Revision: 546396
- upgrade to 2.0.2

* Mon Oct 21 2013 umeabot <umeabot> 2.0.0-2.mga4
+ Revision: 539581
- Mageia 4 Mass Rebuild

* Mon Oct 07 2013 joequant <joequant> 2.0.0-1.mga4
+ Revision: 492489
- update to 2.0.0

* Tue Oct 01 2013 joequant <joequant> 1.9.1-1.mga4
+ Revision: 490009
- update to 1.9.1

* Fri Sep 20 2013 joequant <joequant> 1.8.6-0.20130917gitea09d20.2.mga4
+ Revision: 482574
- default icons to on

* Wed Sep 18 2013 joequant <joequant> 1.8.6-0.20130917gitea09d20.1.mga4
+ Revision: 481152
- update to git

* Tue Sep 10 2013 joequant <joequant> 1.8.6-0.20130913git813b84d.4.mga4
+ Revision: 477224
- fix desktop
- update and fix version numbers
- back out of background patch.  It seems to cause problems on my intel
  laptop
- don't conflict with nautilus

* Mon Sep 02 2013 joequant <joequant> 1.8.6-0.2.git60bbdec.mga4
+ Revision: 474272
- upgrade to latest git

* Fri Aug 23 2013 joequant <joequant> 1.8.6-0.1.gite5eaeb0.mga4
+ Revision: 470268
- update to 1.8.6

* Thu Jul 25 2013 joequant <joequant> 1.8.2-1.mga4
+ Revision: 458081
- build fixes
- upgrade tracker to 0.16
- update nemo
- 1.7.6
- sync to latest 1.7 versions of cinnamon
- update to 1.7.1
- sync to latest trunk
- imported package nemo

  + neoclust <neoclust>
    - Remove what is handled by filetriggers
      Package Typelibs in their own package

